- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# QextScintillaLexerProperties Class Reference

The QextScintillaLexerProperties class encapsulates the Scintilla Properties lexer. More...

`#include <qextscintillalexerproperties.h>`

Inherits QextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- Comment = 1
- Section = 2
- Assignment = 3
- DefaultValue = 4
- enum {
  Default = 0, Comment = 1, Section = 2,
  Assignment = 3, DefaultValue = 4
  }

## Public Slots

- virtual void setFoldCompact (bool fold)

## Public Member Functions

- QextScintillaLexerProperties (TQObject *parent=0, const char *name=0)
- virtual ~QextScintillaLexerProperties ()
- const char * language () const
- const char * lexer () const
- const char * wordCharacters () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- TQString description (int style) const
- TQColor paper (int style) const
- void refreshProperties ()
- bool foldCompact () const

## Protected Member Functions

- bool readProperties (TQSettings &qs, const TQString &prefix)
- bool writeProperties (TQSettings &qs, const TQString &prefix) const

## Detailed Description

The QextScintillaLexerProperties class encapsulates the Scintilla Properties lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Properties lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  Section | A section.
  Assignment | An assignment operator.
  DefaultValue | A default value.

## Constructor & Destructor Documentation

QextScintillaLexerProperties::QextScintillaLexerProperties | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaLexerProperties with parent parent and name name. parent is typically the QextScintilla instance.

virtual QextScintillaLexerProperties::~QextScintillaLexerProperties | ( |  | ) | `[virtual]`

Destroys the QextScintillaLexerProperties instance.

## Member Function Documentation

const char* QextScintillaLexerProperties::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QextScintillaLexer.

const char* QextScintillaLexerProperties::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QextScintillaLexer.

TQColor QextScintillaLexerProperties::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerProperties::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QextScintillaLexer.

TQFont QextScintillaLexerProperties::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QextScintillaLexer.

TQString QextScintillaLexerProperties::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements QextScintillaLexer.

TQColor QextScintillaLexerProperties::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from QextScintillaLexer.

void QextScintillaLexerProperties::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerProperties::foldCompact | ( |  | ) | const

Returns TRUE if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

virtual void QextScintillaLexerProperties::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is TRUE then trailing blank lines are included in a fold block. The default is TRUE.

See also:
  foldCompact()

bool QextScintillaLexerProperties::readProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. TRUE is returned if there is no error.

See also:
  writeProperties()

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerProperties::writeProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. TRUE is returned if there is no error.

See also:
  readProperties()

Reimplemented from QextScintillaLexer.